<template>
<!DOCTYPE html>
<html lang="en" class="h-100">
  <body>
    <header class="mb-5">
      <my-header />
    </header>

    <hr class="opacity-0"/>
    <router-view/>

    <footer class="footer py-3 bg-light shadow">
      <my-footer />
    </footer>
  </body> 
</html>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import NavBar from '@/components/NavBar.vue'
import FooterComp from '@/components/FooterComp.vue'

export default defineComponent({
   components: {
    'my-header' : NavBar,
    'my-footer' : FooterComp
  },
})
</script>
>

<style lang="scss">
@import '~@/../mdb/scss/index.free.scss';

#app {
  font-family: Roboto, Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: white;
    }
  }
}

body {
    margin: 0;
    padding: 0;
    background: rgb(185,242,221);
    background: radial-gradient(circle, rgba(185,242,221,1) 28%, rgba(176,252,255,1) 100%);
}
</style>
